#pragma once

#include "PluginProcessor.h"
#define NUMLIGHTS 8

//==============================================================================

class LightComponent : public juce::Component
{
public:
    LightComponent();
    void paint(juce::Graphics&) override;
};

class EditorComponent : public juce::Component
{
public:
    EditorComponent();
    void paint(juce::Graphics&) override;
private:
    LightComponent lights[NUMLIGHTS];
};

class AudioPluginAudioProcessorEditor  : public juce::AudioProcessorEditor
{
public:
    explicit AudioPluginAudioProcessorEditor (AudioPluginAudioProcessor&);
    ~AudioPluginAudioProcessorEditor() override;

    //==============================================================================
    void paint (juce::Graphics&) override;
    void resized() override;

private:
    // This reference is provided as a quick way for your editor to
    // access the processor object that created it.
    AudioPluginAudioProcessor& processorRef;
    EditorComponent editorComponent;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (AudioPluginAudioProcessorEditor)
};



